import { useUiAdapter } from '../adapter/useUiAdapter';
const __VLS_props = defineProps();
const adapter = useUiAdapter();
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
const __VLS_0 = (__VLS_ctx.adapter.components.StatusTag);
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...(__VLS_ctx.$props),
}));
const __VLS_2 = __VLS_1({
    ...(__VLS_ctx.$props),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
var __VLS_5;
var __VLS_3;
// @ts-ignore
[adapter, $props,];
const __VLS_export = (await import('vue')).defineComponent({
    __typeProps: {},
});
export default {};
